std::atomic_flag::test_and_set(3)

NAME
std::atomic_flag::test_and_set - std::atomic_flag::test_and_set

Synopsis
   Defined in header <atomic>
   bool test_and_set(std::memory_order order = (1) (since C++11)
   std::memory_order_seq_cst) volatile noexcept;
   bool test_and_set(std::memory_order order = (2) (since C++11)
   std::memory_order_seq_cst) noexcept;
   Atomically changes the state of a std::atomic_flag to set (true) and returns the
   value it held before.

Parameters
   order - the memory synchronization ordering for this operation

See also
   clear atomically sets flag to false
                        (public member function)
   atomic_flag_test_and_set atomically sets the flag to true and returns its
   atomic_flag_test_and_set_explicit previous value
   (C++11) (function)
   (C++11)
   memory_order defines memory ordering constraints for the given
   (C++11) atomic operation
                        (enum)